<mat-toolbar color="primary">
    <div>Signup</div>
</mat-toolbar>

<div class="content">
    <div class="signup-container">
        <ng-container *ngIf="registrationResult !== ''">
            <div style="color: red;">{{registrationResult}}</div>
        </ng-container>

        <mat-form-field appearance="outline" class="full-width">
            <mat-label>Email</mat-label>
            <input [autocomplete]="'off'" [formControl]="email" [value]="email.value" matInput type="email">
        </mat-form-field>
        <mat-form-field appearance="outline" class="full-width">
            <mat-label>FirstName</mat-label>
            <input [autocomplete]="'off'" [formControl]="firstname" [value]="firstname.value" matInput type="text">
        </mat-form-field>
        <mat-form-field appearance="outline" class="full-width">
            <mat-label>LastName</mat-label>
            <input [autocomplete]="'off'" [formControl]="lastname" [value]="lastname.value" matInput type="text">
        </mat-form-field>
        <mat-form-field appearance="outline" class="full-width">
            <mat-label>Password</mat-label>
            <input [autocomplete]="'off'" [formControl]="password" [value]="password.value" matInput type="password">
        </mat-form-field>
        <mat-form-field appearance="outline" class="full-width">
            <mat-label>Repeat Password</mat-label>
            <input [autocomplete]="'off'" [formControl]="repeatPassword" [value]="repeatPassword.value" matInput type="password">
        </mat-form-field>
        <mat-error *ngIf="repeatPassword.errors && repeatPassword.errors['passwordMismatch']">
            Passwords do not match
        </mat-error>
        <div class="submit-button">
            <div class="back-to-login-prompt" [routerLink]="['/auth/login']">
                Back to <a style="color: blue">Login</a>
            </div>
            <button (click)="register()" [disabled]="!registrationValid()" color="primary"
                    mat-raised-button>Next
            </button>
        </div>
    </div>

</div>

